Skip to main content
POST
POST

Headers

Accept
string
default:application/json

e.g. application/json

x-api-key
string

e.g. - Partner specific API key provided by Birdeye for data exchange.

X-BUSINESS-NUMBER
string

e.g. - Long Business Number

Content-Type
string
default:application/json

Media type of the JSON request body.

Path Parameters

locationBizNumber
number
required

Long Location number of the Location.

Body

application/json
page
number
required

Page number depending upon the size entered.

size
number
required

Maximum number of custom fields required in a result.

searchStr
string

To Search for a particular field via custom field Name .

sortBy
string

To sort the resultsFor eg via fieldName,id, etc.

orderBy
string

Order of the list and it can be only asc or desc.

Response

OK

id
number

fieldId of the custom field.

Example:

376

fieldValue
string

Field Value of custom field and will only be visible if value is present.

Example:

"Green"

fieldName
string

Name of the custom field.

Example:

"colours"

type
string

Type of field.

Example:

"DROPDOWN_MULTI"

defaultValue
string

Default Value of custom field and will only be visible if value is present.

Example:

"Green"

fieldDescription
string

Description of custom field.

Example:

"This custom field contains list of colours"

filterable
boolean

Whether the custom field will be filterable or not.

dropDownOptions
any[]

The list of options in custom field and will only be visible if value is present.